Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007454OCamltools (ocaml{lex,yacc,dep,debug,...})public2017-01-08 22:472017-08-06 23:33
Reporterdobenour 
Assigned Todra 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version4.06.0+devFixed in Version4.06.0+dev 
Summary0007454: Mishandling of raw string literals by ocamlyacc
Descriptionocamlyacc mishandles raw string literals, such as in the attached (correct) file
Steps To ReproduceRun ocamlyacc on attached file
TagsNo tags attached.
Attached Files? file icon conflict.mly [^] (1,054 bytes) 2017-01-08 22:47 [Show Content]

- Relationships

-  Notes
(0017119)
dra (developer)
2017-01-09 00:01

I'm not sure what I'm missing, but if ocamlyacc were interpreting the quoted string {alpha| .. |alpha} correctly, in what way would this be a correct file?
(0017134)
dobenour (reporter)
2017-01-09 17:09
edited on: 2017-01-09 17:09

It would be syntactically correct I believe.

(0017179)
dra (developer)
2017-01-15 14:33

https://github.com/ocaml/ocaml/pull/1012 [^]

- Issue History
Date Modified Username Field Change
2017-01-08 22:47 dobenour New Issue
2017-01-08 22:47 dobenour File Added: conflict.mly
2017-01-09 00:01 dra Note Added: 0017119
2017-01-09 17:09 dobenour Note Added: 0017134
2017-01-09 17:09 dobenour Note Edited: 0017134 View Revisions
2017-01-15 14:33 dra Note Added: 0017179
2017-02-19 17:58 xleroy Status new => acknowledged
2017-02-19 17:58 xleroy Target Version => 4.06.0+dev
2017-02-23 16:45 doligez Category OCaml tools (ocaml{lex,yacc,dep,debug}) => tools (ocaml{lex,yacc,dep,debug,...})
2017-08-06 23:33 octachron Status acknowledged => resolved
2017-08-06 23:33 octachron Fixed in Version => 4.06.0+dev
2017-08-06 23:33 octachron Resolution open => fixed
2017-08-06 23:33 octachron Assigned To => dra


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker